Bug 831199 - kerberos setup mount.nfs: Invalid argument
kerberos setup mount.nfs: Invalid argument
Status: CLOSED WORKSFORME
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: krb5 (Show other bugs)
5.7
Unspecified Unspecified
unspecified Severity high
: rc
: ---
Assigned To: Nalin Dahyabhai
BaseOS QE Security Team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-12 09:20 EDT by Lakshmipathi
Modified: 2013-11-07 14:06 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-07 14:06:34 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lakshmipathi 2012-06-12 09:20:33 EDT
Description of problem:
I was unable to mount nfs client It fails with message like - 

#mount -vvv -t nfs -o vers=3,sec=krb5i ip-10-85-71-236.ec2.internal:/export/5/ /tmp/nfs_krb5_test
mount: trying 10.85.71.236 prog 100003 vers 3 prot tcp port 2049
mount: trying 10.85.71.236 prog 100005 vers 3 prot udp port 928
mount.nfs: Invalid argument

while server gives message like - 



Version-Release number of selected component (if applicable):

#uname -r
2.6.18-274.el5xen

#cat /etc/redhat-release
Red Hat Enterprise Linux Server release 5.7 (Tikanga)

#rpm -qa | grep nfs
nfs-utils-lib-1.0.8-7.9.el5
nfs-utils-1.0.9-60.el5

How reproducible:
Configured kerberos with NFS and mount on client

Steps to Reproduce:
1.Configure nfs server with kerberos support
2.try to mount on nfs-client
3.
  
Actual results:
mount fails with message like "mount.nfs: Invalid argument"

Expected results:
mount should work properly

Additional info:
server logs :


Jun 12 08:41:08 ip-10-85-71-236 mountd[4144]: authenticated mount request from 10.100.218.175:1004 for /export/5 (/export/5)
Jun 12 08:48:25 ip-10-85-71-236 mountd[4144]: authenticated mount request from 10.100.218.175:607 for /export/5 (/export/5)
Jun 12 08:49:48 ip-10-85-71-236 mountd[4144]: authenticated mount request from 10.100.218.175:630 for /export/5 (/export/5)
Jun 12 08:51:23 ip-10-85-71-236 mountd[4144]: authenticated mount request from 10.100.218.175:640 for /export/5 (/export/5)
Comment 1 Lakshmipathi 2012-06-13 06:01:24 EDT
after rebooting client it worked. Its invalidbug.
Comment 2 Nalin Dahyabhai 2013-11-07 14:06:34 EST
Okay, marking as works-for-me, then.  In any case, thanks for following up!

Note You need to log in before you can comment on or make changes to this bug.